from distutils.core import setup, Extension

htsearchfiles=["../htsearch/Display.cc", "../htsearch/DocMatch.cc", "../htsearch/ResultList.cc",
"../htsearch/ResultMatch.cc", "../htsearch/Template.cc", "../htsearch/TemplateList.cc",
"../htsearch/WeightWord.cc", "../htsearch/parser.cc", "../htlib/QuotedStringList.cc", 
"../htlib/Stack.cc", "../htcommon/DocumentDB.cc"]

libraries=["stdc++", "common", "ht", "db", "z", "fuzzy"]
library_dirs=["../htlib", "../htfuzzy", "../htcommon", "../db/dist", "/usr/lib"]


setup(name = "pysearch", version = "1.0",
    ext_modules = [Extension("pysearch", ["pysearch.cc", "PyDisplay.cc", "HtSearchFuncs.cc"] + htsearchfiles, 
       include_dirs=["../htlib", "../htcommon", "../include", "../htsearch"],
       libraries=libraries,
       library_dirs=library_dirs,
       define_macros=[("SORT_PROG", '"/bin/sort"')]
       )])


#pysearch pysearch.cc PyDisplay.cc HtSearchFuncs.cc   
#-I../htlib -I../htcommon -I../include -I../htsearch -I../../../Components/ExtensionClass -I/usr/include/python2.1
#
#$(MYLIBDIRS) $(SEARCHOBJS) $(MYLIBS) -lstdc++


